## mingw-w64-blender-4.0.2-3.src.tar.zst

=== extern/gmock/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Blender Foundation
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
  include
)

set(INC_SYS
  ../gtest/include
)

set(SRC
  # src/gmock-all.cc
  # src/gmock_main.cc

  src/gmock.cc
  src/gmock-cardinalities.cc
  src/gmock-internal-utils.cc
  src/gmock-matchers.cc
  src/gmock-spec-builders.cc
)

set(SRC_HEADERS
  include/gmock/gmock.h
  include/gmock/gmock-actions.h
  include/gmock/gmock-cardinalities.h
  include/gmock/gmock-function-mocker.h
  include/gmock/gmock-generated-actions.h
  include/gmock/gmock-generated-function-mockers.h
  include/gmock/gmock-generated-matchers.h
  include/gmock/gmock-matchers.h
  include/gmock/gmock-more-actions.h
  include/gmock/gmock-more-matchers.h
  include/gmock/gmock-nice-strict.h
  include/gmock/gmock-spec-builders.h
  include/gmock/internal/custom/gmock-generated-actions.h
  include/gmock/internal/custom/gmock-matchers.h
  include/gmock/internal/custom/gmock-port.h
  include/gmock/internal/gmock-internal-utils.h
  include/gmock/internal/gmock-port.h
  include/gmock/internal/gmock-pp.h
)

include_directories(${INC})
include_directories(SYSTEM ${INC_SYS})
add_library(extern_gmock ${SRC} ${SRC_HEADERS})

=== extern/smaa_areatex/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Blender Foundation
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_executable(smaa_areatex smaa_areatex.cpp)

=== intern/guardedalloc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2006 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

if(HAVE_MALLOC_STATS_H)
  add_definitions(-DHAVE_MALLOC_STATS_H)
endif()

set(INC
  PUBLIC .
)

set(INC_SYS

)

set(SRC
  ./intern/leak_detector.cc
  ./intern/mallocn.c
  ./intern/mallocn_guarded_impl.c
  ./intern/mallocn_lockfree_impl.c
  ./intern/memory_usage.cc

  MEM_guardedalloc.h
  ./intern/mallocn_inline.h
  ./intern/mallocn_intern.h

  # only so the header is known by cmake
  ../atomic/atomic_ops.h
  ../atomic/intern/atomic_ops_ext.h
  ../atomic/intern/atomic_ops_msvc.h
  ../atomic/intern/atomic_ops_unix.h
  ../atomic/intern/atomic_ops_utils.h
)

set(LIB
  PRIVATE bf::intern::atomic
)

if(WIN32 AND NOT UNIX)
  list(APPEND INC_SYS
    ${PTHREADS_INC}
  )
  if(DEFINED PTHREADS_LIBRARIES)
    list(APPEND LIB
      ${PTHREADS_LIBRARIES}
    )
  endif()
endif()

# Jemalloc 5.0.0+ needs extra configuration.
if(WITH_MEM_JEMALLOC)
  if(NOT ("${JEMALLOC_VERSION}" VERSION_LESS "5.0.0"))
    add_definitions(-DWITH_JEMALLOC_CONF)
  endif()
endif()

blender_add_lib(bf_intern_guardedalloc "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")
add_library(bf::intern::guardedalloc ALIAS bf_intern_guardedalloc)

# Override C++ alloc, optional.
if(WITH_CXX_GUARDEDALLOC)
  set(SRC
    cpp/mallocn.cpp
  )
  blender_add_lib(bf_intern_guardedalloc_cpp "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")
endif()

if(WITH_GTESTS)
  set(TEST_SRC
    tests/guardedalloc_alignment_test.cc
    tests/guardedalloc_overflow_test.cc
    tests/guardedalloc_test_base.h
  )
  set(TEST_INC
    ../../source/blender/blenlib
  )
  set(TEST_LIB
    bf_intern_guardedalloc
    bf_blenlib
  )
  include(GTestTesting)
  blender_add_test_executable(guardedalloc "${TEST_SRC}" "${INC};${TEST_INC}" "${INC_SYS}" "${LIB};${TEST_LIB}")
endif()

=== intern/utfconv/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2022 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
)

set(INC_SYS

)

set(SRC
  utfconv.c

  utfconv.h
)

set(LIB
)

# This is odd but leave it for now...
# Why have win32 check here? - this is only used for windows.
# ... because one day we might want to use it on other platforms.
if(WIN32)
  list(APPEND SRC
    utf_winfunc.c
    utf_winfunc.h
  )
endif()

blender_add_lib(bf_intern_utfconv "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== source/blender/bmesh/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2006 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
  ../blenkernel
  ../blentranslation
  ../depsgraph
  ../../../intern/clog
  ../../../intern/eigen
  ../../../extern/rangetree
)

set(INC_SYS

)

set(SRC
  # Naming convention for BMesh operators is: bmo_*action*_*details*.cc
  operators/bmo_beautify.cc
  operators/bmo_bevel.cc
  operators/bmo_bisect_plane.cc
  operators/bmo_bridge.cc
  operators/bmo_connect.cc
  operators/bmo_connect_concave.cc
  operators/bmo_connect_nonplanar.cc
  operators/bmo_connect_pair.cc
  operators/bmo_create.cc
  operators/bmo_dissolve.cc
  operators/bmo_dupe.cc
  operators/bmo_edgenet.cc
  operators/bmo_extrude.cc
  operators/bmo_fill_attribute.cc
  operators/bmo_fill_edgeloop.cc
  operators/bmo_fill_grid.cc
  operators/bmo_fill_holes.cc
  operators/bmo_hull.cc
  operators/bmo_inset.cc
  operators/bmo_join_triangles.cc
  operators/bmo_mesh_convert.cc
  operators/bmo_mirror.cc
  operators/bmo_normals.cc
  operators/bmo_offset_edgeloops.cc
  operators/bmo_planar_faces.cc
  operators/bmo_poke.cc
  operators/bmo_primitive.cc
  operators/bmo_removedoubles.cc
  operators/bmo_rotate_edges.cc
  operators/bmo_smooth_laplacian.cc
  operators/bmo_split_edges.cc
  operators/bmo_subdivide.cc
  operators/bmo_subdivide_edgering.cc
  operators/bmo_symmetrize.cc
  operators/bmo_triangulate.cc
  operators/bmo_unsubdivide.cc
  operators/bmo_utils.cc
  operators/bmo_wireframe.cc

  intern/bmesh_callback_generic.cc
  intern/bmesh_callback_generic.h
  intern/bmesh_construct.cc
  intern/bmesh_construct.h
  intern/bmesh_core.cc
  intern/bmesh_core.h
  intern/bmesh_delete.cc
  intern/bmesh_delete.h
  intern/bmesh_edgeloop.cc
  intern/bmesh_edgeloop.h
  intern/bmesh_inline.h
  intern/bmesh_interp.cc
  intern/bmesh_interp.h
  intern/bmesh_iterators.cc
  intern/bmesh_iterators.h
  intern/bmesh_iterators_inline.h
  intern/bmesh_log.cc
  intern/bmesh_log.h
  intern/bmesh_marking.cc
  intern/bmesh_marking.h
  intern/bmesh_mesh.cc
  intern/bmesh_mesh.h
  intern/bmesh_mesh_convert.cc
  intern/bmesh_mesh_convert.h
  intern/bmesh_mesh_debug.cc
  intern/bmesh_mesh_debug.h
  intern/bmesh_mesh_duplicate.cc
  intern/bmesh_mesh_duplicate.h
  intern/bmesh_mesh_normals.cc
  intern/bmesh_mesh_normals.h
  intern/bmesh_mesh_partial_update.cc
  intern/bmesh_mesh_partial_update.h
  intern/bmesh_mesh_tessellate.cc
  intern/bmesh_mesh_tessellate.h
  intern/bmesh_mesh_validate.cc
  intern/bmesh_mesh_validate.h
  intern/bmesh_mods.cc
  intern/bmesh_mods.h
  intern/bmesh_opdefines.cc
  intern/bmesh_operator_api_inline.h
  intern/bmesh_operators.cc
  intern/bmesh_operators.h
  intern/bmesh_operators_private.h
  intern/bmesh_polygon.cc
  intern/bmesh_polygon.h
  intern/bmesh_polygon_edgenet.cc
  intern/bmesh_polygon_edgenet.h
  intern/bmesh_private.h
  intern/bmesh_query.cc
  intern/bmesh_query.h
  intern/bmesh_query_inline.h
  intern/bmesh_query_uv.cc
  intern/bmesh_query_uv.h
  intern/bmesh_structure.cc
  intern/bmesh_structure.h
  intern/bmesh_structure_inline.h
  intern/bmesh_walkers.cc
  intern/bmesh_walkers.h
  intern/bmesh_walkers_impl.cc
  intern/bmesh_walkers_private.h

  intern/bmesh_error.h
  intern/bmesh_operator_api.h

  tools/bmesh_beautify.cc
  tools/bmesh_beautify.h
  tools/bmesh_bevel.cc
  tools/bmesh_bevel.h
  tools/bmesh_bisect_plane.cc
  tools/bmesh_bisect_plane.h
  tools/bmesh_boolean.cc
  tools/bmesh_boolean.h
  tools/bmesh_decimate.h
  tools/bmesh_decimate_collapse.cc
  tools/bmesh_decimate_dissolve.cc
  tools/bmesh_decimate_unsubdivide.cc
  tools/bmesh_edgenet.cc
  tools/bmesh_edgenet.h
  tools/bmesh_edgesplit.cc
  tools/bmesh_edgesplit.h
  tools/bmesh_intersect.cc
  tools/bmesh_intersect.h
  tools/bmesh_intersect_edges.cc
  tools/bmesh_intersect_edges.h
  tools/bmesh_path.cc
  tools/bmesh_path.h
  tools/bmesh_path_region.cc
  tools/bmesh_path_region.h
  tools/bmesh_path_region_uv.cc
  tools/bmesh_path_region_uv.h
  tools/bmesh_path_uv.cc
  tools/bmesh_path_uv.h
  tools/bmesh_region_match.cc
  tools/bmesh_region_match.h
  tools/bmesh_separate.cc
  tools/bmesh_separate.h
  tools/bmesh_triangulate.cc
  tools/bmesh_triangulate.h
  tools/bmesh_wireframe.cc
  tools/bmesh_wireframe.h

  bmesh_class.h

  # public includes
  bmesh.h
  bmesh_tools.h
)

set(LIB
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::guardedalloc
  extern_rangetree
  PRIVATE bf::intern::atomic
)

if(WITH_BULLET)
  list(APPEND INC_SYS
    ${BULLET_INCLUDE_DIRS}
    ../../../intern/rigidbody
  )
  list(APPEND LIB
    ${BULLET_LIBRARIES}
  )
  add_definitions(-DWITH_BULLET)
endif()

if(WITH_FREESTYLE)
  add_definitions(-DWITH_FREESTYLE)
endif()

if(WITH_GMP)
  add_definitions(-DWITH_GMP)

  list(APPEND INC_SYS
    ${GMP_INCLUDE_DIRS}
  )

  list(APPEND LIB
    ${GMP_LIBRARIES}
  )
endif()

if(WITH_TBB)
  add_definitions(-DWITH_TBB)
  if(WIN32)
    # TBB includes Windows.h which will define min/max macros
    # that will collide with the stl versions.
    add_definitions(-DNOMINMAX)
  endif()
  list(APPEND INC_SYS
    ${TBB_INCLUDE_DIRS}
  )

  list(APPEND LIB
    ${TBB_LIBRARIES}
  )
endif()

blender_add_lib(bf_bmesh "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

if(MSVC AND NOT MSVC_CLANG)
  target_compile_options(bf_bmesh PRIVATE /WX /wd4101)
endif()

if(WITH_GTESTS)
  set(TEST_SRC
    tests/bmesh_core_test.cc
  )
  set(TEST_INC
  )
  set(TEST_LIB
    bf_bmesh
  )
  include(GTestTesting)
  blender_add_test_lib(bf_bmesh_tests "${TEST_SRC}" "${INC};${TEST_INC}" "${INC_SYS}" "${LIB};${TEST_LIB}")
endif()

=== source/blender/depsgraph/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
  ../blenkernel
  ../bmesh
  ../draw
  ../functions
  ../makesrna
  ../modifiers
  ../sequencer
  ../windowmanager
  # RNA_prototypes.h
  ${CMAKE_BINARY_DIR}/source/blender/makesrna
)

set(INC_SYS
)

set(SRC
  intern/builder/deg_builder.cc
  intern/builder/deg_builder_cache.cc
  intern/builder/deg_builder_cycle.cc
  intern/builder/deg_builder_key.cc
  intern/builder/deg_builder_key.h
  intern/builder/deg_builder_map.cc
  intern/builder/deg_builder_nodes.cc
  intern/builder/deg_builder_nodes_rig.cc
  intern/builder/deg_builder_nodes_scene.cc
  intern/builder/deg_builder_nodes_view_layer.cc
  intern/builder/deg_builder_pchanmap.cc
  intern/builder/deg_builder_relations.cc
  intern/builder/deg_builder_relations_drivers.cc
  intern/builder/deg_builder_relations_rig.cc
  intern/builder/deg_builder_relations_scene.cc
  intern/builder/deg_builder_relations_view_layer.cc
  intern/builder/deg_builder_remove_noop.cc
  intern/builder/deg_builder_rna.cc
  intern/builder/deg_builder_stack.cc
  intern/builder/deg_builder_transitive.cc
  intern/builder/pipeline.cc
  intern/builder/pipeline_all_objects.cc
  intern/builder/pipeline_compositor.cc
  intern/builder/pipeline_from_ids.cc
  intern/builder/pipeline_render.cc
  intern/builder/pipeline_view_layer.cc
  intern/debug/deg_debug.cc
  intern/debug/deg_debug_relations_graphviz.cc
  intern/debug/deg_debug_stats_gnuplot.cc
  intern/eval/deg_eval.cc
  intern/eval/deg_eval_copy_on_write.cc
  intern/eval/deg_eval_flush.cc
  intern/eval/deg_eval_runtime_backup.cc
  intern/eval/deg_eval_runtime_backup_animation.cc
  intern/eval/deg_eval_runtime_backup_gpencil.cc
  intern/eval/deg_eval_runtime_backup_modifier.cc
  intern/eval/deg_eval_runtime_backup_movieclip.cc
  intern/eval/deg_eval_runtime_backup_object.cc
  intern/eval/deg_eval_runtime_backup_pose.cc
  intern/eval/deg_eval_runtime_backup_scene.cc
  intern/eval/deg_eval_runtime_backup_sequence.cc
  intern/eval/deg_eval_runtime_backup_sequencer.cc
  intern/eval/deg_eval_runtime_backup_sound.cc
  intern/eval/deg_eval_runtime_backup_volume.cc
  intern/eval/deg_eval_stats.cc
  intern/eval/deg_eval_visibility.cc
  intern/eval/deg_eval_visibility.h
  intern/node/deg_node.cc
  intern/node/deg_node_component.cc
  intern/node/deg_node_factory.cc
  intern/node/deg_node_id.cc
  intern/node/deg_node_operation.cc
  intern/node/deg_node_time.cc
  intern/depsgraph.cc
  intern/depsgraph_build.cc
  intern/depsgraph_debug.cc
  intern/depsgraph_eval.cc
  intern/depsgraph_light_linking.cc
  intern/depsgraph_light_linking.hh
  intern/depsgraph_physics.cc
  intern/depsgraph_query.cc
  intern/depsgraph_query_foreach.cc
  intern/depsgraph_query_iter.cc
  intern/depsgraph_registry.cc
  intern/depsgraph_relation.cc
  intern/depsgraph_tag.cc
  intern/depsgraph_type.cc
  intern/depsgraph_update.cc

  DEG_depsgraph.hh
  DEG_depsgraph_build.hh
  DEG_depsgraph_debug.hh
  DEG_depsgraph_light_linking.hh
  DEG_depsgraph_physics.hh
  DEG_depsgraph_query.hh

  intern/builder/deg_builder.h
  intern/builder/deg_builder_cache.h
  intern/builder/deg_builder_cycle.h
  intern/builder/deg_builder_map.h
  intern/builder/deg_builder_nodes.h
  intern/builder/deg_builder_pchanmap.h
  intern/builder/deg_builder_relations.h
  intern/builder/deg_builder_relations_drivers.h
  intern/builder/deg_builder_relations_impl.h
  intern/builder/deg_builder_remove_noop.h
  intern/builder/deg_builder_rna.h
  intern/builder/deg_builder_stack.h
  intern/builder/deg_builder_transitive.h
  intern/builder/pipeline.h
  intern/builder/pipeline_all_objects.h
  intern/builder/pipeline_compositor.h
  intern/builder/pipeline_from_ids.h
  intern/builder/pipeline_render.h
  intern/builder/pipeline_view_layer.h
  intern/debug/deg_debug.h
  intern/debug/deg_time_average.h
  intern/eval/deg_eval.h
  intern/eval/deg_eval_copy_on_write.h
  intern/eval/deg_eval_flush.h
  intern/eval/deg_eval_runtime_backup.h
  intern/eval/deg_eval_runtime_backup_animation.h
  intern/eval/deg_eval_runtime_backup_gpencil.h
  intern/eval/deg_eval_runtime_backup_modifier.h
  intern/eval/deg_eval_runtime_backup_movieclip.h
  intern/eval/deg_eval_runtime_backup_object.h
  intern/eval/deg_eval_runtime_backup_pose.h
  intern/eval/deg_eval_runtime_backup_scene.h
  intern/eval/deg_eval_runtime_backup_sequence.h
  intern/eval/deg_eval_runtime_backup_sequencer.h
  intern/eval/deg_eval_runtime_backup_sound.h
  intern/eval/deg_eval_runtime_backup_volume.h
  intern/eval/deg_eval_stats.h
  intern/node/deg_node.hh
  intern/node/deg_node_component.hh
  intern/node/deg_node_factory.hh
  intern/node/deg_node_factory_impl.hh
  intern/node/deg_node_id.hh
  intern/node/deg_node_operation.hh
  intern/node/deg_node_time.hh
  intern/depsgraph.hh
  intern/depsgraph_physics.hh
  intern/depsgraph_registry.hh
  intern/depsgraph_relation.hh
  intern/depsgraph_tag.hh
  intern/depsgraph_type.hh
  intern/depsgraph_update.hh
)

set(LIB
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::atomic
  PRIVATE bf::intern::guardedalloc
)

if(WITH_PYTHON)
  add_definitions(-DWITH_PYTHON)
  list(APPEND INC
    ../python
  )
endif()

blender_add_lib(bf_depsgraph "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

# RNA_prototypes.h
add_dependencies(bf_depsgraph bf_rna)

if(WITH_GTESTS)
  set(TEST_INC
  )
  set(TEST_SRC
    intern/builder/deg_builder_rna_test.cc
  )
  set(TEST_LIB
    bf_depsgraph
  )
  include(GTestTesting)
  blender_add_test_lib(bf_depsgraph_tests "${TEST_SRC}" "${INC};${TEST_INC}" "${INC_SYS}" "${LIB}")
endif()

=== source/blender/editors/gpencil_legacy/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  ../include
  ../../blenfont
  ../../blenkernel
  ../../blentranslation
  ../../bmesh
  ../../depsgraph
  ../../gpu
  ../../imbuf
  ../../makesrna
  ../../windowmanager
  # RNA_prototypes.h
  ${CMAKE_BINARY_DIR}/source/blender/makesrna
)

set(INC_SYS
)

set(SRC
  annotate_draw.cc
  annotate_paint.cc
  drawgpencil.cc
  editaction_gpencil.cc
  gpencil_add_blank.cc
  gpencil_add_lineart.cc
  gpencil_add_monkey.cc
  gpencil_add_stroke.cc
  gpencil_armature.cc
  gpencil_bake_animation.cc
  gpencil_convert.cc
  gpencil_data.cc
  gpencil_edit.cc
  gpencil_edit_curve.cc
  gpencil_fill.cc
  gpencil_interpolate.cc
  gpencil_merge.cc
  gpencil_mesh.cc
  gpencil_ops.cc
  gpencil_ops_versioning.cc
  gpencil_paint.cc
  gpencil_primitive.cc
  gpencil_sculpt_paint.cc
  gpencil_select.cc
  gpencil_undo.cc
  gpencil_utils.cc
  gpencil_uv.cc
  gpencil_vertex_ops.cc
  gpencil_vertex_paint.cc
  gpencil_weight_paint.cc

  gpencil_intern.h
  gpencil_trace.h
)

set(LIB
  PRIVATE bf::animrig
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::guardedalloc
)

if(WITH_POTRACE)
  list(APPEND SRC
    gpencil_trace_ops.cc
    gpencil_trace_utils.cc
  )
  list(APPEND INC
    ${POTRACE_INCLUDE_DIRS}
  )
  list(APPEND LIB
    ${POTRACE_LIBRARIES}
  )
  add_definitions(-DWITH_POTRACE)
endif()


blender_add_lib(bf_editor_gpencil_legacy "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

# RNA_prototypes.h
add_dependencies(bf_editor_gpencil_legacy bf_rna)

=== source/blender/editors/space_console/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  ../include
  ../../blenfont
  ../../blenkernel
  ../../blenloader
  ../../gpu
  ../../makesrna
  ../../windowmanager

)

set(INC_SYS
)

set(SRC
  console_draw.cc
  console_ops.cc
  space_console.cc

  console_intern.hh
)

set(LIB
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::guardedalloc
)

if(WITH_PYTHON)
  add_definitions(-DWITH_PYTHON)
endif()


blender_add_lib(bf_editor_space_console "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== source/blender/editors/space_outliner/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  ../include
  ../../blenkernel
  ../../blenloader
  ../../blentranslation
  ../../depsgraph
  ../../gpu
  ../../imbuf
  ../../makesrna
  ../../sequencer
  ../../windowmanager
  ../../../../intern/clog

  # RNA_prototypes.h
  ${CMAKE_BINARY_DIR}/source/blender/makesrna
)

set(INC_SYS
)

set(SRC
  outliner_collections.cc
  outliner_context.cc
  outliner_dragdrop.cc
  outliner_draw.cc
  outliner_edit.cc
  outliner_ops.cc
  outliner_query.cc
  outliner_select.cc
  outliner_sync.cc
  outliner_tools.cc
  outliner_tree.cc
  outliner_utils.cc
  space_outliner.cc
  tree/common.cc
  tree/tree_display.cc
  tree/tree_display_data.cc
  tree/tree_display_libraries.cc
  tree/tree_display_orphaned.cc
  tree/tree_display_override_library_hierarchies.cc
  tree/tree_display_override_library_properties.cc
  tree/tree_display_scenes.cc
  tree/tree_display_sequencer.cc
  tree/tree_display_view_layer.cc
  tree/tree_element.cc
  tree/tree_element_anim_data.cc
  tree/tree_element_bone.cc
  tree/tree_element_bone_collection.cc
  tree/tree_element_collection.cc
  tree/tree_element_constraint.cc
  tree/tree_element_defgroup.cc
  tree/tree_element_driver.cc
  tree/tree_element_edit_bone.cc
  tree/tree_element_gpencil_effect.cc
  tree/tree_element_gpencil_layer.cc
  tree/tree_element_grease_pencil_node.cc
  tree/tree_element_id.cc
  tree/tree_element_id_armature.cc
  tree/tree_element_id_collection.cc
  tree/tree_element_id_curve.cc
  tree/tree_element_id_gpencil_legacy.cc
  tree/tree_element_id_grease_pencil.cc
  tree/tree_element_id_library.cc
  tree/tree_element_id_linestyle.cc
  tree/tree_element_id_mesh.cc
  tree/tree_element_id_metaball.cc
  tree/tree_element_id_object.cc
  tree/tree_element_id_scene.cc
  tree/tree_element_id_texture.cc
  tree/tree_element_label.cc
  tree/tree_element_layer_collection.cc
  tree/tree_element_linked_object.cc
  tree/tree_element_modifier.cc
  tree/tree_element_nla.cc
  tree/tree_element_overrides.cc
  tree/tree_element_particle_system.cc
  tree/tree_element_pose.cc
  tree/tree_element_rna.cc
  tree/tree_element_scene_objects.cc
  tree/tree_element_seq.cc
  tree/tree_element_view_collection.cc
  tree/tree_element_view_layer.cc
  tree/tree_iterator.cc

  outliner_intern.hh
  tree/common.hh
  tree/tree_display.hh
  tree/tree_element.hh
  tree/tree_element_anim_data.hh
  tree/tree_element_bone.hh
  tree/tree_element_bone_collection.hh
  tree/tree_element_collection.hh
  tree/tree_element_constraint.hh
  tree/tree_element_defgroup.hh
  tree/tree_element_driver.hh
  tree/tree_element_edit_bone.hh
  tree/tree_element_gpencil_effect.hh
  tree/tree_element_gpencil_layer.hh
  tree/tree_element_grease_pencil_node.hh
  tree/tree_element_id.hh
  tree/tree_element_id_armature.hh
  tree/tree_element_id_collection.hh
  tree/tree_element_id_curve.hh
  tree/tree_element_id_gpencil_legacy.hh
  tree/tree_element_id_grease_pencil.hh
  tree/tree_element_id_library.hh
  tree/tree_element_id_linestyle.hh
  tree/tree_element_id_mesh.hh
  tree/tree_element_id_metaball.hh
  tree/tree_element_id_object.hh
  tree/tree_element_id_scene.hh
  tree/tree_element_id_texture.hh
  tree/tree_element_label.hh
  tree/tree_element_layer_collection.hh
  tree/tree_element_linked_object.hh
  tree/tree_element_modifier.hh
  tree/tree_element_nla.hh
  tree/tree_element_overrides.hh
  tree/tree_element_particle_system.hh
  tree/tree_element_pose.hh
  tree/tree_element_rna.hh
  tree/tree_element_scene_objects.hh
  tree/tree_element_seq.hh
  tree/tree_element_view_collection.hh
  tree/tree_element_view_layer.hh
  tree/tree_iterator.hh
)

set(LIB
  PRIVATE bf::animrig
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  bf_editor_undo
  PRIVATE bf::intern::guardedalloc
)


blender_add_lib(bf_editor_space_outliner "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

# RNA_prototypes.h dna_type_offsets.h
add_dependencies(bf_editor_space_outliner bf_rna)

=== source/blender/nodes/texture/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
  ..
  ../intern
  ../../editors/include
  ../../blenkernel
  ../../blentranslation
  ../../bmesh
  ../../depsgraph
  ../../imbuf
  ../../makesrna
  ../../render
  ../../windowmanager
  # RNA_prototypes.h
  ${CMAKE_BINARY_DIR}/source/blender/makesrna
)

set(INC_SYS
)

set(SRC
  nodes/node_texture_at.cc
  nodes/node_texture_bricks.cc
  nodes/node_texture_checker.cc
  nodes/node_texture_combine_color.cc
  nodes/node_texture_common.cc
  nodes/node_texture_compose.cc
  nodes/node_texture_coord.cc
  nodes/node_texture_curves.cc
  nodes/node_texture_decompose.cc
  nodes/node_texture_distance.cc
  nodes/node_texture_hueSatVal.cc
  nodes/node_texture_image.cc
  nodes/node_texture_invert.cc
  nodes/node_texture_math.cc
  nodes/node_texture_mixRgb.cc
  nodes/node_texture_output.cc
  nodes/node_texture_proc.cc
  nodes/node_texture_rotate.cc
  nodes/node_texture_scale.cc
  nodes/node_texture_separate_color.cc
  nodes/node_texture_texture.cc
  nodes/node_texture_translate.cc
  nodes/node_texture_valToNor.cc
  nodes/node_texture_valToRgb.cc
  nodes/node_texture_viewer.cc

  node_texture_register.cc
  node_texture_tree.cc
  node_texture_util.cc

  node_texture_register.hh
  node_texture_util.hh
)

set(LIB
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::guardedalloc
  bf_nodes
)

blender_add_lib(bf_nodes_texture "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

# RNA_prototypes.h
add_dependencies(bf_nodes_texture bf_rna)

=== source/blender/python/bmesh/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Blender Authors
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INC
  .
  ../../blenkernel
  ../../bmesh
  ../../depsgraph
)

set(INC_SYS
  ${PYTHON_INCLUDE_DIRS}
)

set(SRC
  bmesh_py_api.cc
  bmesh_py_geometry.cc
  bmesh_py_ops.cc
  bmesh_py_ops_call.cc
  bmesh_py_types.cc
  bmesh_py_types_customdata.cc
  bmesh_py_types_meshdata.cc
  bmesh_py_types_select.cc
  bmesh_py_utils.cc

  bmesh_py_api.h
  bmesh_py_geometry.h
  bmesh_py_ops.h
  bmesh_py_ops_call.h
  bmesh_py_types.h
  bmesh_py_types_customdata.h
  bmesh_py_types_meshdata.h
  bmesh_py_types_select.h
  bmesh_py_utils.h
)

set(LIB
  bf_blenkernel
  PRIVATE bf::blenlib
  PRIVATE bf::dna
  PRIVATE bf::intern::guardedalloc
  bf_python_mathutils

  ${PYTHON_LINKFLAGS}
  ${PYTHON_LIBRARIES}
)

if(WITH_FREESTYLE)
  add_definitions(-DWITH_FREESTYLE)
endif()

if(WITH_GMP)
  add_definitions(-DWITH_GMP)
endif()

blender_add_lib(bf_python_bmesh "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# To build with Qt-Creator:
# 1. Launch Qt-Creator with the env (set from cmd.exe):
# set "MINGW_PREFIX=C:/msys64/mingw64"
# set "ACLOCAL_PATH=%MINGW_PREFIX%/share/aclocal:/usr/share/aclocal"
# set "PKG_CONFIG_PATH=%MINGW_PREFIX%/lib/pkgconfig"
# set "PATH=%MINGW_PREFIX%/bin;%PATH%"
# 2. Specify the following as the CMake arguments:
# -DMINGW_LIBS=%MINGW_PREFIX% -DCMAKE_BUILD_TYPE=Debug -DWITH_SYSTEM_GLEW=ON -DWITH_SYSTEM_OPENJPEG=ON -DWITH_INSTALL_PORTABLE=OFF -DWITH_OPENCOLLADA=ON -DWITH_GAMEENGINE=ON -DWITH_RAYOPTIMIZATION=ON -DWITH_JACK=OFF -DWITH_PLAYER=ON -DWITH_CODEC_FFMPEG=ON -DWITH_CODEC_SNDFILE=ON -DWITH_CYCLES=ON -DWITH_CYCLES_CUDA_BINARIES=OFF -DWITH_CYCLES_OSL=ON -DWITH_FFTW3=ON -DWITH_MOD_OCEANSIM=ON -DPYTHON_VERSION=3.7 -DPYTHON_LIBPATH=%MINGW_PREFIX%/lib -DPYTHON_LIBRARY="python3.6m" -DPYTHON_INCLUDE_DIRS=/msys64/mingw64/include/python3.6m -DWITH_PYTHON_INSTALL=OFF -DWITH_PYTHON_INSTALL_NUMPY=OFF -DPYTHON_NUMPY_PATH=%MINGW_PREFIX%/lib/python3.6/site-packages -DCYCLES_OSL=%MINGW_PREFIX% -DWITH_IMAGE_REDCODE=ON -DWITH_OPENMP=ON -DWITH_LLVM=ON -DLLVM_STATIC=ON

_realname=blender
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=4.0.2
pkgrel=3
pkgdesc="A fully integrated 3D graphics creation suite (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://www.blender.org"
msys2_repository_url="https://projects.blender.org/blender/blender"
msys2_references=(
  'archlinux: blender'
)
license=('spdx:GPL-2.0-or-later')
# build conflict with "${MINGW_PACKAGE_PREFIX}-glog"
depends=("${MINGW_PACKAGE_PREFIX}-alembic"
         #"${MINGW_PACKAGE_PREFIX}-audaspace"
         #"${MINGW_PACKAGE_PREFIX}-bullet-dp"
         #"${MINGW_PACKAGE_PREFIX}-draco" It builds an internal library
         "${MINGW_PACKAGE_PREFIX}-embree"
         "${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-gmp"
         "${MINGW_PACKAGE_PREFIX}-ffmpeg"
         "${MINGW_PACKAGE_PREFIX}-fftw"
         "${MINGW_PACKAGE_PREFIX}-freetype"
         #"${MINGW_PACKAGE_PREFIX}-gflags"
         #"${MINGW_PACKAGE_PREFIX}-glog"
         "${MINGW_PACKAGE_PREFIX}-imath"
         #"${MINGW_PACKAGE_PREFIX}-jemalloc"
         "${MINGW_PACKAGE_PREFIX}-libepoxy"
         "${MINGW_PACKAGE_PREFIX}-libharu"
         "${MINGW_PACKAGE_PREFIX}-libiconv"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libsndfile"
         "${MINGW_PACKAGE_PREFIX}-libtiff"
         "${MINGW_PACKAGE_PREFIX}-libwebp"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread-git"
         "${MINGW_PACKAGE_PREFIX}-lzo2"
         #"${MINGW_PACKAGE_PREFIX}-materialx"
         #"${MINGW_PACKAGE_PREFIX}-usd"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-openal"
         "${MINGW_PACKAGE_PREFIX}-opencollada"
         "${MINGW_PACKAGE_PREFIX}-opencolorio"
         "${MINGW_PACKAGE_PREFIX}-openexr"
         $([[ ${CARCH} == aarch64 ]] || echo "${MINGW_PACKAGE_PREFIX}-openimagedenoise")
         "${MINGW_PACKAGE_PREFIX}-openimageio"
         "${MINGW_PACKAGE_PREFIX}-openjpeg2"
         "${MINGW_PACKAGE_PREFIX}-openpgl"
         "${MINGW_PACKAGE_PREFIX}-openshadinglanguage"
         "${MINGW_PACKAGE_PREFIX}-opensubdiv"
         "${MINGW_PACKAGE_PREFIX}-openvdb"
         "${MINGW_PACKAGE_PREFIX}-openxr-sdk"
         "${MINGW_PACKAGE_PREFIX}-potrace"
         "${MINGW_PACKAGE_PREFIX}-pugixml"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-SDL2"
         "${MINGW_PACKAGE_PREFIX}-tbb"
         "${MINGW_PACKAGE_PREFIX}-zlib"
         "${MINGW_PACKAGE_PREFIX}-zstd")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-boost"
             "${MINGW_PACKAGE_PREFIX}-eigen3"
             "${MINGW_PACKAGE_PREFIX}-wintab-sdk"
             $([[ "$CARCH" == "aarch64" ]] && echo "${MINGW_PACKAGE_PREFIX}-sse2neon"))
install=blender-${MSYSTEM}.install
source=(https://download.blender.org/source/${_realname}-${pkgver}.tar.xz
        blender-addons-${pkgver}.tar.gz::https://projects.blender.org/blender/blender-addons/archive/v${pkgver}.tar.gz
        0001-mingw-buildsystem.patch
        0002-fix-mingw-w64-definitions.patch
        0003-disable-static_assert_align-on-mingw.patch
        0004-fix-build-with-openpgl-0.6.patch::https://projects.blender.org/blender/blender/pulls/118328.patch
        0005-fix-WINTAB_PRINTF-on-mingw.patch
        0006-mingw-DEBUG-libmv-avoid-too-many-sections.patch
        0007-disable-compiler-warnings.patch
        0008-mingw-use-X11-like-path-layout.patch
        0009-include-missing-headers.patch
        0010-llvm-no-longer-needed.patch::https://projects.blender.org/blender/blender/commit/088ae8d9.patch
        0011-no-TIME_UTC-on-msvcrt.patch
        0012-fix-build-with-OSL-1.13.patch::https://projects.blender.org/blender/blender/commit/798a0b30.patch
        0013-force-draco.patch
        0015-mingw-python-like-msvc.patch
        0016-mingw-windres.patch
        0019-fix-casts.patch
        0020-blendthumb-build.patch
        0022-find-llvm-convert-paths.patch
        0023-link-errors.patch
        0024-openvdb-shared.patch
        0025-callback-function-prototype-fix.patch
        0028-use-std-namespace.patch
        0032-fix-finding-tbb.patch
        0033-dont-add-fno-rtti-compile-option.patch
        0034-Fix-ARM64-Build.patch
        0035-Enable-SSE2NEON-on-Windows-ARM.patch
        0039-no-WRL-on-mingw-w64.patch)
sha256sums=('aaa0e729da7591cfbf45772af76345977daaa7b11a0af35d98f9313e246077a3'
            'ec7e34e7c0d475b08745017952b2c912b2b1dedf5e051141cd9a987e1c3b13b6'
            'ee9b8f5c191a59960682729d89f7c51e3c9bf50992d6b86f933d05b98e4c5a72'
            '11fd854c62dc276f3edace85e285764506091e9203abf7c90dcad98005e9cfc7'
            '891c19119b5cb6ff05b93ed8183841593bc20444dd4070bc5c69a701d857e030'
            'd510478d3918c866df832db7936fde02cc6267765ab6c8b17770ccf3850dc1db'
            '2cd8eea86a67a330d8eadb09ec1bafbe99a4c910654aa65dc1c6389b1e6ae678'
            '1ccbf571e8dae23d0bff4ac848825788ac0a838261c5b02578c30852061238c8'
            '94b1299ff8fff061e1387e5ed14b4c1c58ae834c30c3360a0c53aaadf226064f'
            '9822ab6ab47fb67e8a75df44c3a7c3cdd060ad0c63acb87eeeea0be53bb0f252'
            '05aabd1aef3f0894889117dafc51e9d63929eb64b22fc5790a066850f8fe7388'
            '6b8a01acb726b984960d95ce7da5b69204b2d80ebaa6c2c5a7a87924ea26b986'
            'e018b7ee07f7b8b4964fd30feb0495101d0a6b51f218652d12ae2b6369d495eb'
            '44879c20e31e60ebe3232f0be9d808b343cf986f7a0fc6df53a90ac270ab42be'
            '6b08689f6c050780feebee330ad7c40cc528556ef80cb817e1551b11123edd13'
            '54f2569620eca6a6ad9e628a523a44bcddf96d863b749354f8bc5dd324dabeac'
            '98e61ea711a8356927d105b3e8ce0d65fb8fa62b8cfbcbc91d8d9b13f285d74b'
            'a1a2e9aa9950e4438576291518c649074b6a0c473429bc16494995a981de614b'
            '77139f37224bc9921e05394909ec4c698af3089d97d0293ec4cd3aade252858a'
            '8be734582b9980ad0a3c5a82c200767ce558084f18e3cca11947991a14b0d68a'
            '06e2c8d66ebea68e8da1584c9e3f7a6dd97619ebf32d53c5ea611164a45c7f8a'
            'c39bfb8c5e4f6d26601e9cb03b979265ff0bbbcb2d2758005a4d0b0ed9616c7f'
            '37927b5a4e93461343841c84bdd1c67755bd03ac14d454ad8f4a952c37049ff7'
            'f9d9d4774e8714d7880cee022ba81db969469528263e7279a0f150f276fb47f8'
            '7c2df0ecdb825b0e6c7899139372ff3ebef0244241ce8dec216c8bbbb09c82a0'
            '16b560363717357a0e69d3b46269cace9bf978126e08b604ad18a532a8dfd0b2'
            'a48e49b9e6034ccd3b448bc44f4f30a4d64682e8820f68d470069c9cbcf8b6c7'
            '439c4d0978e3690f42a2c7b84a9fa91ed9b27979f244d4e8edd1461fe20d7011'
            '70d0cfa0ca9f7a948b248174ab516867f31e76361b7aabb70de05688ee78f92c')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd ${srcdir}/${_realname}-${pkgver}

  rm -rf scripts/addons && mv "${srcdir}"/blender-addons scripts/addons

  rm -f build_files/cmake/platform/platform_win32_mingw64.cmake
  rm -f release/windows/icons/blender.exe.manifest

  apply_patch_with_msg \
    0001-mingw-buildsystem.patch \
    0002-fix-mingw-w64-definitions.patch \
    0003-disable-static_assert_align-on-mingw.patch \
    0004-fix-build-with-openpgl-0.6.patch \
    0005-fix-WINTAB_PRINTF-on-mingw.patch \
    0006-mingw-DEBUG-libmv-avoid-too-many-sections.patch \
    0007-disable-compiler-warnings.patch \
    0008-mingw-use-X11-like-path-layout.patch \
    0009-include-missing-headers.patch \
    0010-llvm-no-longer-needed.patch \
    0011-no-TIME_UTC-on-msvcrt.patch \
    0012-fix-build-with-OSL-1.13.patch \
    0013-force-draco.patch \
    0015-mingw-python-like-msvc.patch \
    0016-mingw-windres.patch \
    0019-fix-casts.patch \
    0020-blendthumb-build.patch \
    0022-find-llvm-convert-paths.patch \
    0023-link-errors.patch \
    0024-openvdb-shared.patch \
    0025-callback-function-prototype-fix.patch \
    0028-use-std-namespace.patch \
    0032-fix-finding-tbb.patch \
    0033-dont-add-fno-rtti-compile-option.patch \
    0034-Fix-ARM64-Build.patch \
    0035-Enable-SSE2NEON-on-Windows-ARM.patch \
    0039-no-WRL-on-mingw-w64.patch

  # Remove *.orig files
  find . -type f -name "*.orig" -exec rm -f {} \;
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM}  && cd "${srcdir}"/build-${MSYSTEM}

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  CXXFLAGS+=" -w"
  CFLAGS+=" -w"
  if [[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]]; then
    CXXFLAGS+=" -Wno-c++11-narrowing"
    CFLAGS+=" -Wno-unreachable-code-generic-assoc"
  fi

  if [[ $CARCH == "aarch64" ]]; then
    _extra_config+=("-DSSE2NEON_ROOT_DIR=${MINGW_PREFIX}/include/sse2neon")
  fi

  export XR_OPENXR_SDK_ROOT_DIR=${MINGW_PREFIX}
  export EMBREE_ROOT_DIR=${MINGW_PREFIX}

  _pyver=$(${MINGW_PREFIX}/bin/python -c "import sys;sys.stdout.write('.'.join(map(str, sys.version_info[:2])))")

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    "${_extra_config[@]}" \
    -DWITH_SYSTEM_AUDASPACE=OFF \
    -DWITH_SYSTEM_GFLAGS=OFF \
    -DWITH_SYSTEM_GLOG=OFF \
    -DWITH_SYSTEM_BULLET=OFF \
    -DWITH_SYSTEM_LZO=ON \
    -DWITH_SYSTEM_EIGEN3=ON \
    -DWITH_SYSTEM_FREETYPE=ON \
    -DWITH_INSTALL_PORTABLE=OFF \
    -DWITH_NANOVDB=OFF \
    -DWITH_OPENIMAGEIO=ON \
    -DWITH_CYCLES=ON \
    -DWITH_CYCLES_STANDALONE=ON \
    -DWITH_CYCLES_STANDALONE_GUI=ON \
    -DWITH_CYCLES_CUDA_BINARIES=OFF \
    -DWITH_CYCLES_OSL=ON \
    -DWITH_MEM_JEMALLOC=OFF \
    -DWITH_MOD_OCEANSIM=ON \
    -DPYTHON_VERSION=${_pyver} \
    -DPYTHON_LIBPATH=${MINGW_PREFIX}/lib \
    -DPYTHON_LIBRARY=${MINGW_PREFIX}/lib/libpython${_pyver}.dll.a \
    -DPYTHON_INCLUDE_DIR=${MINGW_PREFIX}/include/python${_pyver} \
    -DWITH_PYTHON_INSTALL=OFF \
    -DWITH_PYTHON_INSTALL_NUMPY=OFF \
    -DWITH_OPENMP=ON \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd ${srcdir}/build-${MSYSTEM}

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install .

  cp -r bin ${pkgdir}${MINGW_PREFIX}/
  rm ${pkgdir}${MINGW_PREFIX}/bin/msgfmt.exe

  # Manually install draco bindings
  _pyver=$(${MINGW_PREFIX}/bin/python -c "import sys;sys.stdout.write('.'.join(map(str, sys.version_info[:2])))")
  mkdir -p "${pkgdir}${MINGW_PREFIX}/lib/python${_pyver}"/
  mv "${pkgdir}"${MINGW_PREFIX}/share/blender/4*/python/lib/* "${pkgdir}"${MINGW_PREFIX}/lib/
  rm -r "${pkgdir}"${MINGW_PREFIX}/share/blender/4*/python
